package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class Tag15ACreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public Tag15ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag15AValue = mt767Creator.getNewSequenceOfA();
        mt767Creator.set("15A", tag15AValue);
    }
}
